import {
  DeployIcon,
  UndeployIcon,
  BatchDeployIcon,
  BatchUndeployIcon,
  StartIcon,
  StopIcon
} from "./JobIcons";

export const ACTION_TYPES = {
  DEPLOY: "DEPLOY",
  UNDEPLOY: "UNDEPLOY",
  BATCH_DEPLOY: "BATCH_DEPLOY",
  BATCH_UNDEPLOY: "BATCH_UNDEPLOY",
  START: "START",
  STOP: "STOP"
};

export const ActionTypesComponent = {
  DEPLOY: {
    label: "Deployment",
    icon: DeployIcon
  },
  UNDEPLOY: {
    label: "Undeployment",
    icon: UndeployIcon
  },
  BATCH_DEPLOY: {
    label: "Batch deployment",
    icon: BatchDeployIcon
  },
  BATCH_UNDEPLOY: {
    label: "Batch undeployment",
    icon: BatchUndeployIcon
  },
  START: {
    label: "Set active",
    icon: StartIcon
  },
  STOP: {
    label: "Set inactive",
    icon: StopIcon
  }
};
